[pacman-dev,08/10] makepkg: Remove trailing semicolons

Message ID 662b8b1829654d1645f92654fc47b260b5ec0e44.1527783895.git.jan.steffens@gmail.com
State Superseded, archived
Headers show
Series [pacman-dev,01/10] libmakepkg/util/option: Refactor checking to reduce code duplication | expand

Commit Message

Jan Alexander Steffens May 31, 2018, 4:24 p.m. UTC
---
 scripts/makepkg.sh.in | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

Patch

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 27f627ac..ed0ceaec 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -499,23 +499,23 @@  run_package() {
 }
 
 find_libdepends() {
-	local d sodepends;
+	local d sodepends
 
-	sodepends=0;
+	sodepends=0
 	for d in "${depends[@]}"; do
 		if [[ $d = *.so ]]; then
-			sodepends=1;
-			break;
+			sodepends=1
+			break
 		fi
 	done
 
 	if (( sodepends == 0 )); then
 		(( ${#depends[@]} )) && printf '%s\n' "${depends[@]}"
-		return;
+		return
 	fi
 
-	local libdeps filename soarch sofile soname soversion;
-	declare -A libdeps;
+	local libdeps filename soarch sofile soname soversion
+	declare -A libdeps
 
 	while read -r filename; do
 		# get architecture of the file; if soarch is empty it's not an ELF binary
@@ -1231,7 +1231,7 @@  OPT_LONG=('allsource' 'check' 'clean' 'cleanbuild' 'config:' 'force' 'geninteg'
 OPT_LONG+=('asdeps' 'noconfirm' 'needed' 'noprogressbar')
 
 if ! parseopts "$OPT_SHORT" "${OPT_LONG[@]}" -- "$@"; then
-	exit $E_INVALID_OPTION;
+	exit $E_INVALID_OPTION
 fi
 set -- "${OPTRET[@]}"
 unset OPT_SHORT OPT_LONG OPTRET